Loading...
Searching...
No Matches
dilu.hh File Reference

The diagonal incomplete LU factorization kernels. More...

`#include <cmath>`
`#include <complex>`
`#include <map>`
`#include <vector>`
`#include <sstream>`
`#include <dune/common/fmatrix.hh>`
`#include <dune/common/scalarvectorview.hh>`
`#include <dune/common/scalarmatrixview.hh>`
`#include "istlexception.hh"`

Go to the source code of this file.

## Namespaces

namespace | Dune
namespace | Dune::DILU

## Functions

template<class M>
void | Dune::DILU::blockDILUDecomposition (M &A, std::vector< typename M::block_type > &Dinv_)
template<class M, class X, class Y>
void | Dune::DILU::blockDILUBacksolve (const M &A, const std::vector< typename M::block_type > Dinv_, X &v, const Y &d)

## Detailed Description

The diagonal incomplete LU factorization kernels.